Bug 966441 - Window manager warning: Log level 8: meta_screen_get_monitor_geometry
Window manager warning: Log level 8: meta_screen_get_monitor_geometry
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 05:50 EDT by Matthias Runge
Modified: 2015-11-10 06:12 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:19:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-05-23 05:50:27 EDT
Description of problem:

in /var/log/messages:
May 23 11:44:22 turing nova-compute[17962]: 2013-05-23 11:44:22.375 17962 WARNING nova.compute.manager [-] Found 1 in the database and 0 on the hypervisor.
May 23 11:44:27 turing /etc/gdm/Xsession[2528]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
May 23 11:44:28 turing /etc/gdm/Xsession[2528]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
May 23 11:44:28 turing /etc/gdm/Xsession[2528]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
May 23 11:44:35 turing /etc/gdm/Xsession[2528]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
May 23 11:44:55 turing /etc/gdm/Xsession[2528]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed

process 2528 is gnome-session. GNOME seems to work, I don't find anything in .xsession-errors

rpm -qf /usr/bin/gnome-session
gnome-session-3.8.2-1.fc19.x86_64


I had the laptop docked earlier, with two external displays connected, suspended, undocked and woke it up again (if that may be related, somehow)

[root@turing ~]# xrandr -q
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080      60.0*+   50.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)
Comment 1 Adrian Reber 2013-07-11 05:55:09 EDT
Same on my notebook which also is sometimes using one or two external monitors in a docking station. I have over 2000000 entries in /var/log/messages with "Window manager warning: Log level 8".
Comment 2 Marco 2013-07-23 03:29:45 EDT
I'm also having the exact same behavior using two screens and a docking station. The error comes from mutter/src/core/screen.c:2369 The function seems to try to store the geometry which seem to print the errors.

I think the component should be set to mutter.
Comment 3 Satish Balay 2013-07-24 14:39:37 EDT
I do use an external monitor with my laptop and noticed 750K entries in my /varlog/messages* [with new ones continuously added]

restarting gnome-shell with Alt-F2 'r' has stopped these messages for now.

gdm-3.8.3-2.fc19.x86_64
gnome-shell-3.8.3-3.fc19.x86_64
kernel-3.10.2-301.fc19.x86_64


[root@asterix ~]# grep 'meta_screen_get_monitor_geometry:' /var/log/messages | tail
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Jul 24 13:30:17 asterix /etc/gdm/Xsession[978]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
[
Comment 4 David Strauss 2013-07-24 15:42:26 EDT
I'm getting this *constantly* right now.
Comment 5 Anshu Prateek 2013-08-02 04:44:27 EDT
For me, the second monitor is attached through USB DisplayLink. It fails to come up after wake up. Even removing and attaching USB doesnt work. It needs a reboot to fix this.

Jul  2 11:59:13 aero /etc/gdm/Xsession[2392]: (gedit:18373): Gdk-WARNING **: gedit: Fatal IO error 11 (Resource temporarily unavailable) on X server :
0.
Jul  2 11:59:13 aero abrtd: '/var/tmp/abrt/ccpp-2013-06-28-12:45:32-2295' is not a problem directory
Jul  2 11:59:14 aero abrtd: '/var/tmp/abrt/ccpp-2013-06-28-12:55:47-5030' is not a problem directory
Jul  2 11:59:14 aero abrtd: Generating core_backtrace
Jul  2 11:59:14 aero abrtd: Generating backtrace
Jul  2 11:59:14 aero abrtd: Directory 'ccpp-2013-07-02-11:59:12-2785' creation detected
Jul  2 11:59:14 aero abrt[20954]: Saved core dump of pid 2785 (/usr/bin/skype) to /var/tmp/abrt/ccpp-2013-07-02-11:59:12-2785 (399659008 bytes)
Jul  2 11:59:14 aero abrtd: Size of '/var/tmp/abrt' >= 1000 MB, deleting 'ccpp-2013-06-28-12:45:39-2244'
Jul  2 11:59:14 aero abrtd: Backtrace is generated, 8510 bytes
Jul  2 11:59:14 aero kernel: [30165.683092] [drm] wait for urb interrupted: ffffffc2 available: 4
Jul  2 11:59:14 aero kernel: [30165.683588] BUG: unable to handle kernel paging request at 000000017c580038
Jul  2 11:59:14 aero kernel: [30165.683640] IP: [<ffffffffa00d9eaf>] i915_gem_unmap_dma_buf+0x2f/0x60 [i915]
Jul  2 11:59:14 aero kernel: [30165.683706] PGD 0 
Jul  2 11:59:14 aero kernel: [30165.683724] Oops: 0000 [#1] SMP 
Jul  2 11:59:14 aero kernel: [30165.683753] Modules linked in: tcp_lp ums_realtek usb_storage tun hidp fuse ebtable_nat nf_conntrack_netbios_ns nf_con
ntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat i
ptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep arc4 brcmsmac 
cordic brcmutil mac80211 cfg80211 dell_wmi sparse_keymap iTCO_wdt iTCO_vendor_support mperf coretemp kvm_intel dell_laptop dcdbas uvcvideo snd_hda_cod
ec_hdmi kvm crc32_pclmul snd_hda_codec_idt udl videobuf2_vmalloc crc32c_intel drm_usb dm9601 videobuf2_memops usbnet videobuf2_core snd_hda_intel vide
odev ghash_clmulni_intel btusb media bluetooth microcode snd_hda_codec joydev rfkill i2c_i801 snd_hwdep snd_seq snd_seq_device bcma r8169 mii snd_pcm 
wmi snd_page_alloc snd_timer snd mei lpc_ich soundcore mfd_core uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
Jul  2 11:59:14 aero kernel: [30165.684518] CPU 1 
Jul  2 11:59:14 aero kernel: [30165.684534] Pid: 2223, comm: Xorg Not tainted 3.9.6-301.fc19.x86_64 #1 Dell Inc. Vostro 1450/0KGFK0
Jul  2 11:59:14 aero kernel: [30165.684587] RIP: 0010:[<ffffffffa00d9eaf>]  [<ffffffffa00d9eaf>] i915_gem_unmap_dma_buf+0x2f/0x60 [i915]
Jul  2 11:59:14 aero kernel: [30165.684655] RSP: 0018:ffff8801ef1cfae8  EFLAGS: 00010293
Jul  2 11:59:14 aero kernel: [30165.684686] RAX: 000000017c580000 RBX: ffff8801a87fe260 RCX: 0000000000000000
Jul  2 11:59:14 aero kernel: [30165.684725] RDX: 0000000000000500 RSI: ffff8801a4c1a000 RDI: ffff8801fd9e5c30
Jul  2 11:59:14 aero kernel: [30165.684764] RBP: ffff8801ef1cfaf0 R08: 0000000000000000 R09: 0000000000000000
Jul  2 11:59:14 aero kernel: [30165.684803] R10: ffff8801ebef4d98 R11: ffff8801ef1cf74e R12: ffff8801a87fe260
Jul  2 11:59:14 aero kernel: [30165.684841] R13: 0000000000000000 R14: 0000000000000003 R15: ffff8801ef1cfbb0
Jul  2 11:59:14 aero kernel: [30165.684881] FS:  00007ffaae821980(0000) GS:ffff88021fa80000(0000) knlGS:0000000000000000
Jul  2 11:59:14 aero kernel: [30165.684924] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul  2 11:59:14 aero kernel: [30165.684956] CR2: 000000017c580038 CR3: 0000000001c0c000 CR4: 00000000000407e0
Jul  2 11:59:14 aero kernel: [30165.684995] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul  2 11:59:14 aero kernel: [30165.685033] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul  2 11:59:14 aero kernel: [30165.685073] Process Xorg (pid: 2223, threadinfo ffff8801ef1ce000, task ffff8801ead19770)
Jul  2 11:59:14 aero kernel: [30165.685116] Stack:
Jul  2 11:59:14 aero kernel: [30165.685130]  ffff8801a8592340 ffff8801ef1cfb18 ffffffff813f37de ffff8801a8592340
Jul  2 11:59:14 aero kernel: [30165.685185]  ffff88021282e820 ffff88021282e800 ffff8801ef1cfb38 ffffffffa0036ac2
Jul  2 11:59:14 aero kernel: [30165.685239]  ffff880205f40d80 ffff88021282e820 ffff8801ef1cfb50 ffffffffa02ada95
Jul  2 11:59:14 aero kernel: [30165.685292] Call Trace:
Jul  2 11:59:14 aero kernel: [30165.685314]  [<ffffffff813f37de>] dma_buf_unmap_attachment+0x3e/0x60
Jul  2 11:59:14 aero kernel: [30165.685362]  [<ffffffffa0036ac2>] drm_prime_gem_destroy+0x22/0x40 [drm]
Jul  2 11:59:14 aero kernel: [30165.685403]  [<ffffffffa02ada95>] udl_gem_free_object+0x35/0x60 [udl]
Jul  2 11:59:14 aero kernel: [30165.685448]  [<ffffffffa00207fa>] drm_gem_object_free+0x2a/0x30 [drm]
Jul  2 11:59:14 aero kernel: [30165.685492]  [<ffffffffa0020e2e>] drm_gem_object_release_handle+0xae/0xd0 [drm]
Jul  2 11:59:14 aero kernel: [30165.685534]  [<ffffffff812f19b4>] idr_for_each+0xa4/0xf0
Jul  2 11:59:14 aero kernel: [30165.685573]  [<ffffffffa0020d80>] ? drm_gem_vm_open+0x60/0x60 [drm]
Jul  2 11:59:14 aero kernel: [30165.685617]  [<ffffffffa00214a0>] drm_gem_release+0x20/0x30 [drm]
Jul  2 11:59:14 aero kernel: [30165.685659]  [<ffffffffa001fc21>] drm_release+0x551/0x5d0 [drm]
Jul  2 11:59:14 aero kernel: [30165.685695]  [<ffffffff8119aff1>] __fput+0xe1/0x230
Jul  2 11:59:14 aero kernel: [30165.685725]  [<ffffffff8119b1fe>] ____fput+0xe/0x10
Jul  2 11:59:14 aero kernel: [30165.685755]  [<ffffffff8107cefc>] task_work_run+0xbc/0xe0
Jul  2 11:59:14 aero kernel: [30165.685788]  [<ffffffff810625d4>] do_exit+0x2b4/0xa20
Jul  2 11:59:14 aero kernel: [30165.685617]  [<ffffffffa00214a0>] drm_gem_release+0x20/0x30 [drm]
Jul  2 11:59:14 aero kernel: [30165.685659]  [<ffffffffa001fc21>] drm_release+0x551/0x5d0 [drm]
Jul  2 11:59:14 aero kernel: [30165.685695]  [<ffffffff8119aff1>] __fput+0xe1/0x230
Jul  2 11:59:14 aero kernel: [30165.685725]  [<ffffffff8119b1fe>] ____fput+0xe/0x10
Jul  2 11:59:14 aero kernel: [30165.685755]  [<ffffffff8107cefc>] task_work_run+0xbc/0xe0
Jul  2 11:59:14 aero kernel: [30165.685788]  [<ffffffff810625d4>] do_exit+0x2b4/0xa20
Jul  2 11:59:14 aero kernel: [30165.685818]  [<ffffffff81062dbf>] do_group_exit+0x3f/0xa0
Jul  2 11:59:14 aero kernel: [30165.685850]  [<ffffffff81071b0c>] get_signal_to_deliver+0x1ac/0x5c0
Jul  2 11:59:14 aero kernel: [30165.685888]  [<ffffffff81013428>] do_signal+0x48/0x5a0
Jul  2 11:59:14 aero kernel: [30165.685918]  [<ffffffff81070ded>] ? do_send_sig_info+0x5d/0x80
Jul  2 11:59:14 aero kernel: [30165.685953]  [<ffffffff810139f0>] do_notify_resume+0x70/0xa0
Jul  2 11:59:14 aero kernel: [30165.687580]  [<ffffffff8164ed52>] int_signal+0x12/0x17
Jul  2 11:59:14 aero kernel: [30165.689409] Code: 90 55 89 d1 48 89 e5 53 48 8b 7f 08 48 89 f3 8b 56 08 48 8b 36 48 85 ff 74 32 48 8b 87 00 02 00 00 48 85 c0 74 26 83 f9 02 77 2a <48> 8b 40 38 48 85 c0 74 05 45 31 c0 ff d0 48 89 df e8 fb 75 22 
Jul  2 11:59:14 aero kernel: [30165.693670] RIP  [<ffffffffa00d9eaf>] i915_gem_unmap_dma_buf+0x2f/0x60 [i915]
Jul  2 11:59:14 aero kernel: [30165.695674]  RSP <ffff8801ef1cfae8>
Jul  2 11:59:14 aero kernel: [30165.697680] CR2: 000000017c580038
Jul  2 11:59:14 aero kernel: [30165.700009] ---[ end trace 29fde099d6e2114c ]---
Jul  2 11:59:14 aero kernel: [30165.701438] Fixing recursive fault but reboot is needed!
Comment 6 Anshu Prateek 2013-08-02 04:46:32 EDT
The above is in addition to the error log in the bug subject,
Comment 7 Anshu Prateek 2013-08-02 04:50:59 EDT
Aug  2 14:19:35 aero kernel: [  753.536423] usb 1-1.1.3: USB disconnect, device number 12
Aug  2 14:19:39 aero kernel: [  757.043791] usb 1-1.1.3: new high-speed USB device number 13 using ehci-pci
Aug  2 14:19:44 aero kernel: [  762.109537] usb 1-1.1.3: device descriptor read/64, error -32
Aug  2 14:19:44 aero kernel: [  762.286358] usb 1-1.1.3: New USB device found, idVendor=17e9, idProduct=0268
Aug  2 14:19:44 aero kernel: [  762.286369] usb 1-1.1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug  2 14:19:44 aero kernel: [  762.286375] usb 1-1.1.3: Product: BVU195
Aug  2 14:19:44 aero kernel: [  762.286380] usb 1-1.1.3: Manufacturer: DisplayLink
Aug  2 14:19:44 aero kernel: [  762.286385] usb 1-1.1.3: SerialNumber: 000000000000217
Aug  2 14:19:44 aero kernel: [  762.292508] [drm] vendor descriptor length:29 data:29 5f 01 00 27 00 04 04 01 00 03
Aug  2 14:19:44 aero kernel: [  762.460765] udl 1-1.1.3:1.0: fb2: udldrmfb frame buffer device
Aug  2 14:19:44 aero kernel: [  762.460780] [drm] Initialized udl 0.0.1 20120220 on minor 2
Aug  2 14:19:44 aero mtp-probe: checking bus 1, device 13: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1.3"
Aug  2 14:19:44 aero mtp-probe: bus: 1, device: 13 was not an MTP device
Aug  2 14:19:56 aero /etc/gdm/Xsession[1346]: NOTE: child process received `Goodbye', closing down
Aug  2 14:19:56 aero /etc/gdm/Xsession[1346]: ###!!! [Child][RPCChannel] Error: Channel closing: too late to send/recv, messages will be lost
Aug  2 14:20:10 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:10 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: window 0x2a00018 not in stack
Aug  2 14:20:13 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:17 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  2 14:20:17 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  2 14:20:17 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  2 14:20:17 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  2 14:20:17 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  2 14:20:19 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: window 0x2a00018 not in stack
Aug  2 14:20:19 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:19 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: window 0x2a00018 not in stack
Aug  2 14:20:19 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 16: STACK_OP_LOWER_BELOW: sibling window 0x2a00018 not in stack
Aug  2 14:20:19 aero /etc/gdm/Xsession[1346]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monito
Comment 8 Simon Reber 2014-08-06 09:54:57 EDT
Same here, seeing the issue after undocking and docking my laptop from the docking station

Aug  6 15:47:25 laptop /etc/gdm/Xsession[1801]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  6 15:47:25 laptop /etc/gdm/Xsession[1801]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  6 15:47:25 laptop /etc/gdm/Xsession[1801]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  6 15:47:25 laptop /etc/gdm/Xsession[1801]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed
Aug  6 15:47:25 laptop /etc/gdm/Xsession[1801]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion `monitor >= 0 && monitor < screen->n_monitor_infos' failed


gnome-session-3.8.4-1.fc19.x86_64
gdm-3.8.4-2.fc19.x86_64
cinnamon-session-2.0.6-2.fc19.x86_64

Linux laptop 3.14.13-100.fc19.x86_64 #1 SMP Fri Jul 18 02:36:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Comment 9 Fedora End Of Life 2015-01-09 13:11:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:19:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Brian J. Murrell 2015-08-19 11:39:17 EDT
This is happening in F22 now with cinnamon.
Comment 12 Ingo Weiss 2015-11-10 06:12:35 EST
This is also happening in F23 with Cinnamon:

Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Nov 10 11:11:01 peterp.usersys.redhat.com /usr/libexec/gdm-x-session[32072]: Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed

Note You need to log in before you can comment on or make changes to this bug.